Subject: Re: [net-next PATCH 1/1] drivers: net: cpsw: Add support for new CPSW IP version

From: Felipe Balbi <[email-masked]>
Date: Thu, 1 Aug 2013 00:11:00 +0300

On Wed, Jul 31, 2013 at 10:34:06PM +0200, Richard Cochran wrote:
> On Wed, Jul 31, 2013 at 11:26:17PM +0300, Felipe Balbi wrote:
> > 
> > oh well, we can go on and on with this. Unfortunately we (SW team) don't
> > have control over the HW folks. We strongly suggest that they don't
> > break SW compatibility, and that's starting to become true.
> > 
> > You can very well expect next version of CPSW to be SW compatible. If it
> > isn't, then TI will send patches to add a new revision check and treat
> > it well. We are the first ones to have access to new versions of all
> > our IPs anyway.
> 
> Okay, so starting with V3 the registers probably won't be moving
> around any more. But at the very least your patch should include
> macros for the known V3 along with the default case.

that's the point, there is no known V3. Once it has, surely we will add
such macros, but until then, we let the driver assume the highest known
revision if it finds a register with an unknown revision.

-- 
balbi